Demo Preparation by Industry - Bug #3154

Material Master Data MAP
10/21/2024 09:16 AM - jihad ....

Status: Closed Start date: 10/21/2024
Priority: Urgent Due date: 10/21/2024
Assignee: jihad .... % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Mba Yoma,

Saat ini field MAP tidak menghitung average dari material tersebut ketika terjadi good receipt. Dengan hal tersebut, ingin dibuatkan
field MAP di table PMDMATO0001 menghitung average price.

ketika good receipt di tab material item tersebut memiliki filed price dan quantity. ketika document di save dengan status approved
maka rata2 dari harga material tersebut akan terhitung dan tampil di field PMDMATO0001

untuk rumusnya
MAP = quantity * harga / quantity

contoh:
MAT A 1 pcs nya 100.000

PO MAT A 10 pcs dengan total harga 1000.000

maka ketika good receipt MAP nya akan
10 * 100.000 /10 = 100.000

lalu melakukan PO lagi MAT A dengan 10 pcs dengan total harga 1.200.000
maka ketika good receipt MAP nya akan ditotalkan dari yang sebelumnya juga
10 * 100.000 = 1.000.000

10 * 120.000 = 1.200.000

1.000.000 + 1.200.000 / 20
2.200.000/20 = 110.000

Terima kasih
port: https://demo-retail.minovais.com

server: 89
db: MinovaEZ_DEMO_Retalil

History

#1 - 10/21/2024 10:48 AM - Kezia Pawitra Yulianti
- Due date set to 10/21/2024
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 11/01/2024 05:00 PM - Tri Rizqgiaty
- File MinovalS.MinovaES.Implementation.FILO.Material.dll added
- File PFILOUPDATEMDSTOCKINFO_20241101.sql added

- Status changed from Assigned to Developing
Fixing :

1. Udpate API2/bin : MinovalS.MinovaES.Implementation.FILO.Material.dll
2. Execute SP terlampir
#3 - 11/01/2024 05:00 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to jihad ....

#4 - 11/04/2024 08:40 AM - jihad ....
- Status changed from QA Test to Closed

Files

MinovalS.MinovaES.Implementation.FILO.Material dll
PFILOUPDATEMDSTOCKINFO_20241101.sql
16 KB
51.5KB

11/01/2024
11/01/2024

Tri Rizqgiaty
Tri Rizqgiaty
